OpenTTD

Tasklist

FS#6519 - Ubutu Xenial 16.04 build

Attached to Project: OpenTTD
Opened by Jimmy Merrild Krag (beruic) - Wednesday, 02 November 2016, 09:01 GMT
Type Feature Request
Category Build system
Status New
Assigned To No-one
Operating System Linux
Severity Medium
Priority Normal
Reported Version 1.6.1
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

The build for Ubuntu Trusty 14.04 does not work on Ubuntu Xenial 16.04 because it doesn't provide libicu52.
However libicu55 is available, so a new build with that dependency changed should work, provided that the versions are not too different of course, and that I didn't miss any other dependencies.
This task depends upon

Comment by Ben (burty) - Sunday, 26 February 2017, 12:35 GMT
Hi Jimmy,

As a workaround you can manually install libicu52: http://packages.ubuntu.com/trusty/amd64/libicu52/download, I did this myself and it seemed to work. If you do custom compiles you'll need to do this manual install as well.

Kind Regards,
Burty

Loading...